> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Push Notification Channels

> List notification channels synchronized for a push app.



## OpenAPI

````yaml api-reference/openapi.json GET /push/apps/{id}/notification-channels
openapi: 3.0.1
info:
  title: Sendrealm API
  description: >-
    API for email, push, audience resources, domains, campaign drafts,
    templates, events, topics, and automations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sendrealm.com
security:
  - bearerAuth: []
paths:
  /push/apps/{id}/notification-channels:
    get:
      summary: List push notification channels
      description: List notification channels synchronized for a push app.
      parameters:
        - $ref: '#/components/parameters/PushResourceId'
      responses:
        '200':
          description: Notification channels returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PushNotificationChannelsResponse'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PushResourceId:
      name: id
      in: path
      required: true
      description: Public push app ID, device installation ID, or UUID resource ID.
      schema:
        type: string
  schemas:
    PushNotificationChannelsResponse:
      type: object
      required:
        - status
        - data
      properties:
        status:
          type: integer
          description: HTTP response status code
        data:
          type: array
          items:
            $ref: '#/components/schemas/PushNotificationChannel'
    PushNotificationChannel:
      type: object
      required:
        - id
        - platform
        - channel_id
        - name
        - description
        - importance
        - sound
        - vibration
        - led_color
        - lockscreen_visibility
        - is_default
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        platform:
          type: string
        channel_id:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        importance:
          type: string
        sound:
          type: string
          nullable: true
        vibration:
          type: boolean
        led_color:
          type: string
          nullable: true
        lockscreen_visibility:
          type: string
        is_default:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              $ref: '#/components/schemas/JsonValue'
            issues:
              type: array
              items:
                $ref: '#/components/schemas/ValidationIssue'
    JsonValue:
      oneOf:
        - type: string
          nullable: true
        - type: number
        - type: boolean
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
        - type: array
          items:
            $ref: '#/components/schemas/JsonValue'
    ValidationIssue:
      type: object
      required:
        - code
        - path
        - message
      properties:
        code:
          type: string
        path:
          type: string
          nullable: true
        message:
          type: string
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````